aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.scripts/paccheck
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.scripts/paccheck')
-rwxr-xr-xdotfiles/.scripts/paccheck10
1 files changed, 10 insertions, 0 deletions
diff --git a/dotfiles/.scripts/paccheck b/dotfiles/.scripts/paccheck
new file mode 100755
index 0000000..1284134
--- /dev/null
+++ b/dotfiles/.scripts/paccheck
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+ping -q -c 1 1.1.1.1 > /dev/null || exit
+
+notify-send "⬆ Update check" "Checking for updates..."
+
+sudo pacman -Sy
+upno=$(pacman -Qu | wc -l)
+
+notify-send "⬆ Update Check" "$upno updates are available"